Subject: Re: bug#12051: 24.1; rcirc-send-message doesn't take multibyte into account.

From: Chong Yidong <[email-masked]>
Date: Wed, 15 Aug 2012 23:45:19 +0800

Chong Yidong <[email-masked]> writes:

> Leo <[email-masked]> writes:
>
>> I make a small optimisation that calls encode-coding-region char by
>> char. Comments?
>
> If you are still working on this bug and not really sure what's the best
> way to solve it, please revert it ASAP and move the bugfix to the trunk.
> It is holding up the 24.2 release.

OK, I just took a look at the relevant patches.  Personally I think the
previous patch is easier to understand, so unless this new version has
significantly improved performance, I wouldn't bother with it.  But in
any case, please commit future versions of this fix to the trunk, not
the branch, unless you find a regression with it.  Thanks.